<mat-card>
  <mat-card-header>
    <mat-card-title>
      <strong>From</strong>
    </mat-card-title>
  </mat-card-header>
  <mat-card-content>

      <mat-form-field class="numberInput">
        <input matInput
               type="number"
               [min]="MIN"
               [max]="MAX"
               [disableControl]="!manualDateEnabled || !activeDecorators"
               placeholder="Insert a number"
               [(ngModel)]="fromAmount"
                required>
        <mat-hint>Valid range is {{ MIN }} to {{ MAX }}</mat-hint>
      </mat-form-field>

    <mat-form-field>
      <mat-select
        [disabled]="!manualDateEnabled || !activeDecorators"
        [(value)]="fromOption">
        <mat-option *ngFor="let option of fromOptions"
                    [value]="option">
          {{ option.getDisplayString() }}
        </mat-option>
      </mat-select>
    </mat-form-field>

  </mat-card-content>
</mat-card>

<mat-card>
  <mat-card-header>
    <mat-card-title>
      <strong>To</strong>
    </mat-card-title>
  </mat-card-header>
  <mat-card-content>

      <mat-form-field class="numberInput">
        <input matInput
               [disableControl]="!manualDateEnabled || !activeDecorators"
               type="number"
               [min]="MIN"
               [max]="MAX"
               placeholder="Insert a number"
               [(ngModel)]="toAmount"
               required>
        <mat-hint>Valid range is {{ MIN }} to {{ MAX }}</mat-hint>
      </mat-form-field>

    <mat-form-field>
      <mat-select
        [disabled]="!manualDateEnabled || !activeDecorators"
        [(value)]="toOption">
        <mat-option *ngFor="let option of toOptions"
                    [value]="option">
          {{ option.getDisplayString() }}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </mat-card-content>
  <mat-card-footer>
    <button mat-raised-button
            color="accent"
            [disabled]="!manualDateEnabled || !activeDecorators"
            (click)="setRelativeTime()">
      Confirm
    </button>
  </mat-card-footer>
</mat-card>
